Bug 323651 - zipl does not accept timeout parameter in /etc/zipl.conf
zipl does not accept timeout parameter in /etc/zipl.conf
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: s390utils (Show other bugs)
5.1
s390x Linux
high Severity high
: ---
: ---
Assigned To: Dan Horák
:
Depends On:
Blocks: 455077
  Show dependency treegraph
 
Reported: 2007-10-08 15:47 EDT by Brad Hinson
Modified: 2009-01-20 16:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:49:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add support for 'timeout=<value>' in zipl config (1.69 KB, patch)
2007-10-08 15:47 EDT, Brad Hinson
no flags Details | Diff

  None (edit)
Description Brad Hinson 2007-10-08 15:47:27 EDT
Description of problem:
The man page for zipl.conf(5) mentions that 'timeout' is a valid parameter,
however, /sbin/zipl prints an error when this is specified:

# grep timeout /etc/zipl.conf 
timeout=7
# zipl
Using config file '/etc/zipl.conf'
Error: Config file '/etc/zipl.conf': Line 2: keyword 'timeout' not allowed in
section 'defaultboot'

Version-Release number of selected component (if applicable):
s390utils-1.5.3-10.el5.14

How reproducible:
100%

Steps to Reproduce:
1. Add timeout=7 (for example) to /etc/zipl.conf
2. Run /sbin/zipl as root
Comment 1 Brad Hinson 2007-10-08 15:47:27 EDT
Created attachment 220091 [details]
Add support for 'timeout=<value>' in zipl config
Comment 2 RHEL Product and Program Management 2007-12-03 15:46:48 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release.  This request will
be reviewed for a future Red Hat Enterprise Linux release.
Comment 3 Phil Knirsch 2008-04-16 09:18:30 EDT
Patch looks good. Granting Devel ACK for RHEL-5.3.

Read ya, Phil
Comment 4 RHEL Product and Program Management 2008-06-04 18:48:26 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 9 errata-xmlrpc 2009-01-20 16:49:22 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0188.html

Note You need to log in before you can comment on or make changes to this bug.